Package Details: unison-232-compat 2.32.52-2

Git Clone URL: https://aur.archlinux.org/unison-232-compat.git (read-only, click to copy)
Package Base: unison-232-compat
Description: File-synchronization tool (legacy 2.32 version). Compatible with parallel installation to other versions of unison binaries (but pay attention to the local user configurations!)
Upstream URL: http://www.cis.upenn.edu/~bcpierce/unison
Licenses: GPL2
Provides: unison-232=2.32.52
Submitter: dreieck
Maintainer: None
Last Packager: dreieck
Votes: 0
Popularity: 0.000000
First Submitted: 2013-09-11 11:11
Last Updated: 2020-05-02 15:17

Latest Comments

dreieck commented on 2020-05-02 15:14

@mat: Thanks for reporting.

I get the same error.

I do not know how to fix it.

Since I do not need this package anymore, I abandon it (free for adoption).

mat commented on 2020-03-18 13:19

Fails to build:

ocamlopt -I lwt -I ubase -c /home/mat/.cache/yay/unison-232-compat/src/unison-2.32.52/lwt/lwt_unix.ml
File "/home/mat/.cache/yay/unison-232-compat/src/unison-2.32.52/lwt/lwt_unix.ml", line 172, characters 48-51:
172 |                            ignore (Unix.read fd " " 0 1))
                                                      ^^^
Error: This expression has type string but an expression was expected of type
         bytes
make: *** [Makefile.OCaml:361: lwt/lwt_unix.cmx] Error 2